/*
  Originally written by Naoto Kaneko
  Last updated: 3.Jul.2010, buggy-and-messy version
  Latest info: http://www37.atwiki.jp/pjkyt/
 */

package com.kyt.android.example;

import android.graphics.*;

import com.kyt.android.view.*;

public class BubbleNode extends DrawNode {
	private static final int BUBBLE_COLOR = Color.rgb(200, 200, 100);
	private static final int BUBBLE_TEXT_COLOR = Color.RED;
	private static final int BUBBLE_TEXT_SIZE = 14;
	private static final int BUBBLE_RADIUS = 20;
	
	private int BgColor;
	private int TextColor;
	
	public BubbleNode(String name, int x, int y) {
		super(name,x,y,BUBBLE_RADIUS);
		
		BgColor = BUBBLE_COLOR;
		TextColor = BUBBLE_TEXT_COLOR;
	}
	
	public int getBgColor() { return BgColor;}	
	public int getTextColor() { return TextColor;}

	public void setBgColor(int color) { BgColor = color;}
	public void setTextColor(int color) { TextColor = color;}
	
	@Override
	public void draw(Canvas c, Paint p, DrawWindow w) {
		// convert the coordinates to the viewport of current window
		int x = w.toViewPortX(getX());
		int y = w.toViewPortY(getY());
		int radius = w.toViewPortMetric(getRadius());
		
		p.setColor(BgColor);
		p.setStyle(Paint.Style.FILL);
		c.drawCircle(x, y, radius, p);
		
		p.setTextSize(BUBBLE_TEXT_SIZE);
		p.setColor(TextColor);
		c.drawText(getName(), x,y, p);
	}
}
