/*
  Originally written by Naoto Kaneko
  Last updated: 3.Jul.2010, buggy-and-messy version
  Latest info: http://www37.atwiki.jp/pjkyt/
 */

package com.kyt.android.example;

import android.graphics.*;

import com.kyt.android.view.*;

public class CtrlNode extends DrawNode {
	private static final int ZOOM_BUTTON_COLOR = Color.GRAY;
	private static final int ZOOM_TEXT_COLOR= Color.BLUE;
	private static final int ZOOM_TEXT_SIZE = 48;
	private static final int ZOOM_BUTTON_RADIUS = 40;
	
	private int BgColor;
	private int TextColor;
	
	public CtrlNode(String name, int x, int y) {
		super(name,x,y,ZOOM_BUTTON_RADIUS);
		
		BgColor = ZOOM_BUTTON_COLOR;
		TextColor = ZOOM_TEXT_COLOR;
	}
	
	public int getBgColor() { return BgColor;}	
	public int getTextColor() { return TextColor;}

	public void setBgColor(int color) { BgColor = color;}
	public void setTextColor(int color) { TextColor = color;}
	
	@Override
	public void draw(Canvas c, Paint p, DrawWindow w) {
		// control node holds the viewport coordinate; no need for conversion
		int x = getX();
		int y = getY();
		int radius = getRadius();
		String text = getName();
		
		p.setColor(BgColor);
		p.setStyle(Paint.Style.FILL);
		c.drawCircle(x,y, radius, p);

		p.setTextSize(ZOOM_TEXT_SIZE);
		p.setColor(ZOOM_TEXT_COLOR);
		c.drawText(text, x-p.measureText(text)/2,y+ZOOM_TEXT_SIZE/3, p);
	}
}
